Subject: Re: bug#35519: librsvg broken on i686-linux

From: Ludovic Courtès <[email-masked]>
Date: Mon, 16 Sep 2019 14:24:48 +0200

Hello Danny and all,

Ricardo Wurmus <[email-masked]> skribis:

>> Hydra failed to build librsvg on i686-linux, because it depends on Rust
>> which is still broken on i686-linux in Guix.
>
> Danny opened a bug report with the mrustc upstream:
>
>     https://github.com/thepowersgang/mrustc/issues/108
>
> The last message there tells us to try again with current HEAD on
> master.  If this fails I think it’s acceptable to use a binary for the
> very first Rust on i686; we would skip the use of mrustc on i686 then.
> Not great.

I don’t know if it relates but on current ‘core-updates’ Rust 1.19 fails
to build on i686:

--8<---------------cut here---------------start------------->8---
BUILDING curl_sys from curl-sys v0.3.11 with features []
BUILDING curl from curl v0.4.6 with features []
BUILDING crates_io from crates-io v0.9.0 with features []
munmap_chunk(): invalid pointer
src/tools/cargo/src/crates-io/lib.rs:65: BUG:src/expand/proc_macro.cpp:941: Unexpected EOF while reading from child process
BUILD FAILED
command "/gnu/store/2fh0bz69j6gxpgj5nqiqplwmck1dvi47-mrustc-0.8.0/tools/bin/minicargo" "src/tools/cargo" "--vendor-dir" "src/vendor" "--output-dir" "output/cargo-build" "-L" "output/" "-L" "/gnu/store/2fh0bz69j6gxpgj5nqiqplwmck1dvi47-mrustc-0.8.0/lib/mrust" "-j" "1" failed with status 1
builder for `/gnu/store/01mh2n7mif0k49ivj6y3fdq1ssj3d2lq-rust-1.19.0.drv' failed with exit code 1
--8<---------------cut here---------------end--------------->8---

(From
<https://ci.guix.gnu.org/log/cnxzabs1mi42rfvz8gp34lqap0dwi9l6-rust-1.19.0-cargo>.)

Does that ring a bell?  Any ideas of a fix or workaround we could apply?

It’d be great if we could merge ‘core-updates’ soon.  This is
unfortunately not a regression compared to ‘master’, so I don’t think
this is a blocker.

Thoughts?

Ludo’.